## com.sun.grizzly.util
Class ThreadAttachment.Mode

    java.lang.Object
      com.sun.grizzly.util.ThreadAttachment.Mode

Enclosing class:
  ThreadAttachment

    public static class ThreadAttachment.Mode

extends Object

Field Summary
`static int` `ATTRIBUTES_ONLY`
`static int` `BYTE_BUFFER`
`static int` `INPUT_BB`
`static int` `OUTPUT_BB`
`static int` `SECURE_BUFFERS`
`static int` `SSL_ARTIFACTS`
`static int` `SSL_ENGINE`
`static int` `STORE_ALL`

Constructor Summary
`ThreadAttachment.Mode()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTES_ONLY

    public static int ATTRIBUTES_ONLY

### BYTE_BUFFER

    public static int BYTE_BUFFER

### INPUT_BB

    public static int INPUT_BB

### OUTPUT_BB

    public static int OUTPUT_BB

### SECURE_BUFFERS

    public static int SECURE_BUFFERS

### SSL_ENGINE

    public static int SSL_ENGINE

### SSL_ARTIFACTS

    public static int SSL_ARTIFACTS

### STORE_ALL

    public static int STORE_ALL

Constructor Detail

### ThreadAttachment.Mode

    public ThreadAttachment.Mode()

Copyright © 2008 SUN Microsystems. All Rights Reserved.